Bug 199196 - REGRESSION (r244494): Two tests in imported/mozilla/svg/text/* are flaky
Summary: REGRESSION (r244494): Two tests in imported/mozilla/svg/text/* are flaky
Status: NEW
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-06-25 11:29 PDT by Russell Epstein
Modified: 2019-10-23 15:28 PDT (History)
4 users (show)

See Also:


Attachments
Update TestExpectations (1.30 KB, patch)
2019-06-25 11:37 PDT, Russell Epstein
no flags Details | Formatted Diff | Diff
Update TestExpectations (1.44 KB, patch)
2019-06-25 11:45 PDT, Russell Epstein
no flags Details | Formatted Diff | Diff
Update TestExpectations (1.66 KB, patch)
2019-06-26 10:41 PDT, Russell Epstein
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Russell Epstein 2019-06-25 11:29:32 PDT
The following layout test is flaky on Mojave WK2 (Release):

imported/mozilla/svg/text/textpath-selection.svg

Steps to reproduce:

run-webkit-tests --iter 1000 -f --ios-simulator imported/mozilla/svg/text/textpath-selection.svg

Point of regression seems to be r244494.

Flakiness Dashboard:

https://webkit-test-results.webkit.org/dashboards/flakiness_dashboard.html#showAllRuns=true&tests=imported%2Fmozilla%2Fsvg%2Ftext%2Ftextpath-selection.svg

Diff:

https://build.webkit.org/results/Apple%20iOS%2012%20Simulator%20Release%20WK2%20(Tests)/r246788%20(4844)/imported/mozilla/svg/text/textpath-selection-diff.png
Comment 1 Radar WebKit Bug Importer 2019-06-25 11:32:15 PDT
<rdar://problem/52124292>
Comment 2 Russell Epstein 2019-06-25 11:37:16 PDT
Created attachment 372849 [details]
Update TestExpectations
Comment 3 Russell Epstein 2019-06-25 11:42:58 PDT
Fixing typo. Issue is occurring on iOS WK2, not Mojave WK2.



The following layout test is flaky on iOS WK2 (Release):

imported/mozilla/svg/text/textpath-selection.svg

Steps to reproduce:

run-webkit-tests --iter 1000 -f --ios-simulator imported/mozilla/svg/text/textpath-selection.svg

Point of regression seems to be r244494.

Flakiness Dashboard:

https://webkit-test-results.webkit.org/dashboards/flakiness_dashboard.html#showAllRuns=true&tests=imported%2Fmozilla%2Fsvg%2Ftext%2Ftextpath-selection.svg

Diff:

https://build.webkit.org/results/Apple%20iOS%2012%20Simulator%20Release%20WK2%20(Tests)/r246788%20(4844)/imported/mozilla/svg/text/textpath-selection-diff.png
Comment 4 Russell Epstein 2019-06-25 11:45:26 PDT
Created attachment 372850 [details]
Update TestExpectations
Comment 5 Truitt Savell 2019-06-25 11:47:05 PDT
Comment on attachment 372850 [details]
Update TestExpectations

Clearing flags on attachment: 372850

Committed r246799: <https://trac.webkit.org/changeset/246799>
Comment 6 Russell Epstein 2019-06-25 17:09:53 PDT
Marked test as flaky until issue is resolved.
Comment 7 Russell Epstein 2019-06-26 10:33:51 PDT
It seems the same revision broke another test:

imported/mozilla/svg/text/selectSubString-2.svg

Steps to reproduce:

run-webkit-tests --iter 1000 -f --ios-simulator imported/mozilla/svg/text/selectSubString-2.svg

Point of regression seems to be r244494.

Flakiness Dashboard:

https://webkit-test-results.webkit.org/dashboards/flakiness_dashboard.html#showAllRuns=true&tests=imported%2Fmozilla%2Fsvg%2Ftext%2FselectSubString-2.svg

Diff:

https://build.webkit.org/results/Apple%20iOS%2012%20Simulator%20Release%20WK2%20(Tests)/r246832%20(4868)/imported/mozilla/svg/text/selectSubString-2-diff.png
Comment 8 Russell Epstein 2019-06-26 10:41:40 PDT
Created attachment 372934 [details]
Update TestExpectations
Comment 9 Truitt Savell 2019-06-26 10:45:31 PDT
Comment on attachment 372934 [details]
Update TestExpectations

Clearing flags on attachment: 372934

Committed r246840: <https://trac.webkit.org/changeset/246840>